attribute vec4 position;
//attribute vec4 center;

attribute float carTouches;
//varying highp float varCarTouches;

attribute vec4 carTouchPoints;//1st and 2nd point
attribute vec4 carTouchPoints2;//3rd and 4th point
attribute vec4 carTouchTimes;
varying highp vec4 varCarTouchTimes;
varying highp vec2 varCarTouchPoints1;
varying highp vec2 varCarTouchPoints2;

attribute vec4 inputTextureCoordinate;
attribute vec4 inputColor;

uniform mediump mat4	uProjectionMatrix;
uniform mediump mat4	uModelViewMatrix;

varying highp vec2 textureCoordinate;
varying lowp vec4 vColor;

uniform highp float Km;

void main()
{
	mediump mat4 ProjxModel = uProjectionMatrix * uModelViewMatrix; 
	gl_Position = ProjxModel * position;
	
	vec4 currCarTouchPoints = vec4(0.0,0.0,0.0,1.0);
	if(carTouches > 0.0)
	{
		if(carTouchTimes.x >= .00001 || carTouchTimes.x <= -.00001)
		{
			currCarTouchPoints.xy = carTouchPoints.xy;
			varCarTouchPoints1 = vec4(ProjxModel * currCarTouchPoints).xy;
			varCarTouchTimes.x = carTouchTimes.x;
		}
		else
		{
			varCarTouchTimes.x = 0.0;
		}
		if(carTouchTimes.y >= .00001 || carTouchTimes.y <= -.00001)
		{
			currCarTouchPoints.xy = carTouchPoints.zw;
			varCarTouchPoints2 = vec4(ProjxModel * currCarTouchPoints).xy;
			varCarTouchTimes.y = carTouchTimes.y;
		}		
		else
		{
			varCarTouchTimes.y = 0.0;
		}
	}
		
	textureCoordinate = inputTextureCoordinate.xy;
	vColor = inputColor;
}
